/*
 * JPA entity PK template
 */

package de.ivu.elect.business.unterstuetzer.entity;

@javax.enterprise.inject.Vetoed
public class EintragungslisteEintragPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<EintragungslisteEintragPK> {

  private static final long serialVersionUID = 0L;

  public EintragungslisteEintragPK() {
    super();
  }

  public EintragungslisteEintragPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "EintragungslisteEintragPK:"+getId();
  }

  @Override
  public int compareTo(EintragungslisteEintragPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
